Webfleet SLC & new TSP providers
This release addsWebfleetSLC as a new credential type across all Integrations API connection endpoints, and expands the TspEnum with five new telematics service providers. Both changes are additive and backward-compatible.
New Webfleet SLC credential type
WebfleetSLC has been added to the credentials field (as a new anyOf variant) across all connection and TMS connection endpoints. Use the new credential schema when creating or updating connections that use the Webfleet SLC integration.
New TSP source names
The followingsource_name values are now valid across all Integrations API endpoints:
Affected endpoints
GET /v2/integrations/connections
GET /v2/integrations/connections
credentials response field now includes WebfleetSLC-Output as a valid variant. The source_name response field now accepts all five new values.POST /v2/integrations/connections
POST /v2/integrations/connections
credentials request body field now accepts WebfleetSLC-Input. The credentials and source_name fields in the 200 response now include the new values.GET /v2/integrations/connections/{connection_id}
GET /v2/integrations/connections/{connection_id}
credentials and source_name fields in the response may now return the new values.PATCH /v2/integrations/connections/{connection_id}
PATCH /v2/integrations/connections/{connection_id}
credentials request body field now accepts WebfleetSLC-Input. The credentials and source_name fields in the response now include the new values.GET /v2/integrations/tms-connections
GET /v2/integrations/tms-connections
credentials response field now includes WebfleetSLC-Output as a valid variant.POST /v2/integrations/tms-connections
POST /v2/integrations/tms-connections
credentials request body field now accepts WebfleetSLC-Input. The credentials field in the 200 response now includes WebfleetSLC-Output.GET /v2/integrations/tms-connections/{tms_connection_id}
GET /v2/integrations/tms-connections/{tms_connection_id}
credentials field in the response may now return WebfleetSLC-Output.PATCH /v2/integrations/tms-connections/{tms_connection_id}
PATCH /v2/integrations/tms-connections/{tms_connection_id}
credentials request body field now accepts WebfleetSLC-Input. The credentials field in the response now includes WebfleetSLC-Output.GET /v2/integrations/tsps
GET /v2/integrations/tsps
source_name response field now accepts all five new values.GET /v2/integrations/tsps/{tsp_id}
GET /v2/integrations/tsps/{tsp_id}
source_name field in the response may now return any of the five new values.GET /v2/integrations/connections/resource-operations
GET /v2/integrations/connections/resource-operations
source_name query parameter and response field now accept all five new values.GET /v2/integrations/connections/{connection_id}/resource-operations/{resource_operation_id}
GET /v2/integrations/connections/{connection_id}/resource-operations/{resource_operation_id}
source_name field in the response may now return any of the five new values.GET /v2/integrations/connections/{connection_id}/schedules/{schedule_id}/executions
GET /v2/integrations/connections/{connection_id}/schedules/{schedule_id}/executions
source_name field in the response may now return any of the five new values.